Index: /LMDZ6/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 4980)
+++ /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 4981)
@@ -585,5 +585,49 @@
         <field id="taur" long_name="momentum flux due to rain" 	       unit="Pa" 	       detect_missing_value=".true." />
         <field id="SSS" long_name="bulk sea-surface salinity" unit="ppt" detect_missing_value=".true." />
-    </field_group>
+            <!-- Begin Added SN isotopes 2D fields 07 2023 -->
+            <!-- water oxygen H216O H217O H218O -->
+        <field id="precipH216O" long_name="Precip Totale liq+sol" unit="kg/(s*m2)" />
+        <field id="plulH216O"   long_name="Large-scale Precip."   unit="kg/(s*m2)" />
+        <field id="plucH216O"   long_name="Convective Precip."    unit="kg/(s*m2)" />
+        <field id="evapH216O"   long_name="Evaporat."             unit="kg/(s*m2)" />
+        <field id="evap_terH216O"  long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
+        <field id="evap_licH216O"  long_name="evaporation at surface lic"    unit="kg/(s*m2)" />
+        <field id="evap_oceH216O"  long_name="evaporation at surface oce"    unit="kg/(s*m2)" />
+        <field id="evap_sicH216O"  long_name="evaporation at surface sic"    unit="kg/(s*m2)" />
+        <field id="precipH217O" long_name="Precip Totale liq+sol" unit="kg/(s*m2)" />
+        <field id="plulH217O"   long_name="Large-scale Precip."   unit="kg/(s*m2)" />
+        <field id="plucH217O"   long_name="Convective Precip."    unit="kg/(s*m2)" />
+        <field id="evapH217O"   long_name="Evaporat."             unit="kg/(s*m2)" />
+        <field id="evap_terH217O"  long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
+        <field id="evap_licH217O"  long_name="evaporation at surface lic"    unit="kg/(s*m2)" />
+        <field id="evap_oceH217O"  long_name="evaporation at surface oce"    unit="kg/(s*m2)" />
+        <field id="evap_sicH217O"  long_name="evaporation at surface sic"    unit="kg/(s*m2)" />
+        <field id="precipH218O" long_name="Precip Totale liq+sol" unit="kg/(s*m2)" />
+        <field id="plulH218O"   long_name="Large-scale Precip."   unit="kg/(s*m2)" />
+        <field id="plucH218O"   long_name="Convective Precip."    unit="kg/(s*m2)" />
+        <field id="evapH218O"   long_name="Evaporat."             unit="kg/(s*m2)" />
+        <field id="evap_terH218O"  long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
+        <field id="evap_licH218O"  long_name="evaporation at surface lic"    unit="kg/(s*m2)" />
+        <field id="evap_oceH218O"  long_name="evaporation at surface oce"    unit="kg/(s*m2)" />
+        <field id="evap_sicH218O"  long_name="evaporation at surface sic"    unit="kg/(s*m2)" />
+            <!-- water hydrogen HDO HTO -->
+        <field id="precipHDO" long_name="Precip Totale liq+sol" unit="kg/(s*m2)" />
+        <field id="plulHDO"   long_name="Large-scale Precip."   unit="kg/(s*m2)" />
+        <field id="plucHDO"   long_name="Convective Precip."    unit="kg/(s*m2)" />
+        <field id="evapHDO"   long_name="Evaporat."             unit="kg/(s*m2)" />
+        <field id="evap_terHDO"  long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
+        <field id="evap_licHDO"  long_name="evaporation at surface lic"    unit="kg/(s*m2)" />
+        <field id="evap_oceHDO"  long_name="evaporation at surface oce"    unit="kg/(s*m2)" />
+        <field id="evap_sicHDO"  long_name="evaporation at surface sic"    unit="kg/(s*m2)" />
+        <field id="precipHTO" long_name="Precip Totale liq+sol" unit="kg/(s*m2)" />
+        <field id="plulHTO"   long_name="Large-scale Precip."   unit="kg/(s*m2)" />
+        <field id="plucHTO"   long_name="Convective Precip."    unit="kg/(s*m2)" />
+        <field id="evapHTO"   long_name="Evaporat."             unit="kg/(s*m2)" />
+        <field id="evap_terHTO"  long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
+        <field id="evap_licHTO"  long_name="evaporation at surface lic"    unit="kg/(s*m2)" />
+        <field id="evap_oceHTO"  long_name="evaporation at surface oce"    unit="kg/(s*m2)" />
+        <field id="evap_sicHTO"  long_name="evaporation at surface sic"    unit="kg/(s*m2)" />
+          <!-- end Added SN isotopes 2D fields 07 2023 -->
+   </field_group>
 
     <field_group id="fields_3D" grid_ref="grid_glo_presnivs" >
@@ -823,5 +867,64 @@
 	<field id="fluxt"     long_name="flux h"     unit="W/m2" />
         <field id="fluxq"     long_name="flux q"     unit="-" />
-    </field_group>
+             <!-- Begin Added SN isotopes 3D fields 07 2023 -->
+             <!-- water oxygen H216O H217O H218O -->
+        <field id="ovapH216O"   long_name="Specific humidity" unit="kg/kg" />
+        <field id="oliqH216O"   long_name="Liquid water"      unit="kg/kg" />
+        <field id="ocondH216O"  long_name="Condensed water"   unit="kg/kg" />
+        <field id="dqdynH216O"  long_name="Dynamics dQ"       unit="(kg/kg)/s" />
+        <field id="dqldynH216O" long_name="Dynamics dQL"      unit="(kg/kg)/s" />
+        <field id="dqconH216O"  long_name="Convection dQ"     unit="(kg/kg)/s" />
+        <field id="dqlscH216O"  long_name="Condensation dQ"   unit="(kg/kg)/s" />
+        <field id="dqevaH216O"  long_name="Reevaporation dQ"  unit="(kg/kg)/s" />
+        <field id="dqvdfH216O"  long_name="Boundary-layer dQ" unit="(kg/kg)/s" />
+        <field id="dqajsH216O"  long_name="Dry adjust. dQ"    unit="(kg/kg)/s" />
+        <field id="dqtheH216O"  long_name="Thermal dQ"        unit="(kg/kg)/s" />
+        <field id="ovapH217O"   long_name="Specific humidity" unit="kg/kg" />
+        <field id="oliqH217O"   long_name="Liquid water"      unit="kg/kg" />
+        <field id="ocondH217O"  long_name="Condensed water"   unit="kg/kg" />
+        <field id="dqdynH217O"  long_name="Dynamics dQ"       unit="(kg/kg)/s" />
+        <field id="dqldynH217O" long_name="Dynamics dQL"      unit="(kg/kg)/s" />
+        <field id="dqconH217O"  long_name="Convection dQ"     unit="(kg/kg)/s" />
+        <field id="dqlscH217O"  long_name="Condensation dQ"   unit="(kg/kg)/s" />
+        <field id="dqevaH217O"  long_name="Reevaporation dQ"  unit="(kg/kg)/s" />
+        <field id="dqvdfH217O"  long_name="Boundary-layer dQ" unit="(kg/kg)/s" />
+        <field id="dqajsH217O"  long_name="Dry adjust. dQ"    unit="(kg/kg)/s" />
+        <field id="dqtheH217O"  long_name="Thermal dQ"        unit="(kg/kg)/s" />
+        <field id="ovapH218O"   long_name="Specific humidity" unit="kg/kg" />
+        <field id="oliqH218O"   long_name="Liquid water"      unit="kg/kg" />
+        <field id="ocondH218O"  long_name="Condensed water"   unit="kg/kg" />
+        <field id="dqdynH218O"  long_name="Dynamics dQ"       unit="(kg/kg)/s" />
+        <field id="dqldynH218O" long_name="Dynamics dQL"      unit="(kg/kg)/s" />
+        <field id="dqconH218O"  long_name="Convection dQ"     unit="(kg/kg)/s" />
+        <field id="dqlscH218O"  long_name="Condensation dQ"   unit="(kg/kg)/s" />
+        <field id="dqevaH218O"  long_name="Reevaporation dQ"  unit="(kg/kg)/s" />
+        <field id="dqvdfH218O"  long_name="Boundary-layer dQ" unit="(kg/kg)/s" />
+        <field id="dqajsH218O"  long_name="Dry adjust. dQ"    unit="(kg/kg)/s" />
+        <field id="dqtheH218O"  long_name="Thermal dQ"        unit="(kg/kg)/s" />
+            <!-- water hydrogen HDO HTO -->
+        <field id="ovapHDO"   long_name="Specific humidity" unit="kg/kg" />
+        <field id="oliqHDO"   long_name="Liquid water"      unit="kg/kg" />
+        <field id="ocondHDO"  long_name="Condensed water"   unit="kg/kg" />
+        <field id="dqdynHDO"  long_name="Dynamics dQ"       unit="(kg/kg)/s" />
+        <field id="dqldynHDO" long_name="Dynamics dQL"      unit="(kg/kg)/s" />
+        <field id="dqconHDO"  long_name="Convection dQ"     unit="(kg/kg)/s" />
+        <field id="dqlscHDO"  long_name="Condensation dQ"   unit="(kg/kg)/s" />
+        <field id="dqevaHDO"  long_name="Reevaporation dQ"  unit="(kg/kg)/s" />
+        <field id="dqvdfHDO"  long_name="Boundary-layer dQ" unit="(kg/kg)/s" />
+        <field id="dqajsHDO"  long_name="Dry adjust. dQ"    unit="(kg/kg)/s" />
+        <field id="dqtheHDO"  long_name="Thermal dQ"        unit="(kg/kg)/s" />
+        <field id="ovapHTO"   long_name="Specific humidity" unit="kg/kg" />
+        <field id="oliqHTO"   long_name="Liquid water"      unit="kg/kg" />
+        <field id="ocondHTO"  long_name="Condensed water"   unit="kg/kg" />
+        <field id="dqdynHTO"  long_name="Dynamics dQ"       unit="(kg/kg)/s" />
+        <field id="dqldynHTO" long_name="Dynamics dQL"      unit="(kg/kg)/s" />
+        <field id="dqconHTO"  long_name="Convection dQ"     unit="(kg/kg)/s" />
+        <field id="dqlscHTO"  long_name="Condensation dQ"   unit="(kg/kg)/s" />
+        <field id="dqevaHTO"  long_name="Reevaporation dQ"  unit="(kg/kg)/s" />
+        <field id="dqvdfHTO"  long_name="Boundary-layer dQ" unit="(kg/kg)/s" />
+        <field id="dqajsHTO"  long_name="Dry adjust. dQ"    unit="(kg/kg)/s" />
+        <field id="dqtheHTO"  long_name="Thermal dQ"        unit="(kg/kg)/s" />
+             <!-- End Added SN isotopes 3D fields 07 2023 -->
+   </field_group>
 
     <field_group id="fields_3Dkp1" grid_ref="grid_glo_presinter" >
Index: /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 4980)
+++ /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 4981)
@@ -131,4 +131,5 @@
                 <field field_ref="mrroli" level="10" />
                 <field field_ref="runofflic" level="10" />
+                <field field_ref="runoffland" level="1" />
                 <field field_ref="taux" level="10" />
                 <field field_ref="tauy" level="10" />
@@ -450,4 +451,63 @@
                 <field field_ref="dqthe2d" level="10" />
                 <field field_ref="dqajs2d" level="10" />
+            <!-- Begin Added SN isotopes 2D fields 07 2023 -->
+            <!-- water oxygen H216O H217O H218O -->
+              <field_group level="11" > <!-- H216O -->
+                <field field_ref="precipH216O"      />
+                <field field_ref="plulH216O"        />
+                <field field_ref="plucH216O"        />
+                <field field_ref="runofflandH216O"  />
+                <field field_ref="evapH216O"        />
+                <field field_ref="evap_terH216O"    />
+                <field field_ref="evap_licH216O"    />
+                <field field_ref="evap_oceH216O"    />
+                <field field_ref="evap_sicH216O"    />
+              </field_group>
+              <field_group level="11" > <!-- H217O -->
+                <field field_ref="precipH217O"      />
+                <field field_ref="plulH217O"        />
+                <field field_ref="plucH217O"        />
+                <field field_ref="runofflandH217O"  />
+                <field field_ref="evapH217O"        />
+                <field field_ref="evap_terH217O"    />
+                <field field_ref="evap_licH217O"    />
+                <field field_ref="evap_oceH217O"    />
+                <field field_ref="evap_sicH217O"    />
+              </field_group>
+              <field_group level="1" > <!-- H218O -->
+                <field field_ref="precipH218O"      />
+                <field field_ref="plulH218O"        />
+                <field field_ref="plucH218O"        />
+                <field field_ref="runofflandH218O"  />
+                <field field_ref="evapH218O"        />
+                <field field_ref="evap_terH218O"    />
+                <field field_ref="evap_licH218O"    />
+                <field field_ref="evap_oceH218O"    />
+                <field field_ref="evap_sicH218O"    />
+              </field_group>
+            <!-- water hydrogen HDO HTO -->
+              <field_group level="1" > <!-- HDO -->
+                <field field_ref="precipHDO"     />
+                <field field_ref="plulHDO"       />
+                <field field_ref="plucHDO"       />
+                <field field_ref="runofflandHDO"  />
+                <field field_ref="evapHDO"       />
+                <field field_ref="evap_terHDO"   />
+                <field field_ref="evap_licHDO"   />
+                <field field_ref="evap_oceHDO"   />
+                <field field_ref="evap_sicHDO"   />
+              </field_group>
+              <field_group level="11" > <!-- HTO -->
+                <field field_ref="plulHTO"       />
+                <field field_ref="precipHTO"     />
+                <field field_ref="plucHTO"       />
+                <field field_ref="runofflandHTO"  />
+                <field field_ref="evapHTO"       />
+                <field field_ref="evap_terHTO"   />
+                <field field_ref="evap_licHTO"   />
+                <field field_ref="evap_oceHTO"   />
+                <field field_ref="evap_sicHTO"   />
+              </field_group>
+             <!-- end Added SN isotopes 2D fields 07 2023 -->
             </field_group>
 
@@ -625,4 +685,73 @@
                 <field field_ref="l_mixmin_sic" level="10" />
                 <field field_ref="ozone_daylight" level="10" />
+             <!-- Begin Added SN isotopes 3D fields 07 2023 -->
+             <!-- water oxygen H216O H217O H218O -->
+             <field_group level="11" > <!-- H216O -->
+                <field field_ref="ovapH216O"    />
+                <field field_ref="oliqH216O"    />
+                <field field_ref="ocondH216O"   />
+                <field field_ref="dqdynH216O"   />
+                <field field_ref="dqldynH216O"  />
+                <field field_ref="dqconH216O"   />
+                <field field_ref="dqlscH216O"   />
+                <field field_ref="dqevaH216O"   />
+                <field field_ref="dqvdfH216O"   />
+                <field field_ref="dqajsH216O"   />
+                <field field_ref="dqtheH216O"   />
+              </field_group>
+              <field_group level="11" > <!-- H217O -->
+                <field field_ref="ovapH217O"    />
+                <field field_ref="oliqH217O"    />
+                <field field_ref="ocondH217O"   />
+                <field field_ref="dqdynH217O"   />
+                <field field_ref="dqldynH217O"  />
+                <field field_ref="dqconH217O"   />
+                <field field_ref="dqlscH217O"   />
+                <field field_ref="dqevaH217O"   />
+                <field field_ref="dqvdfH217O"   />
+                <field field_ref="dqajsH217O"   />
+                <field field_ref="dqtheH217O"   />
+              </field_group>
+              <field_group level="1" > <!-- H218O -->
+                <field field_ref="ovapH218O"    />
+                <field field_ref="oliqH218O"    />
+                <field field_ref="ocondH218O"   />
+                <field field_ref="dqdynH218O"   />
+                <field field_ref="dqldynH218O"  />
+                <field field_ref="dqconH218O"   />
+                <field field_ref="dqlscH218O"   />
+                <field field_ref="dqevaH218O"   />
+                <field field_ref="dqvdfH218O"   />
+                <field field_ref="dqajsH218O"   />
+                <field field_ref="dqtheH218O"   />
+              </field_group>
+            <!-- water hydrogen HDO HTO -->
+              <field_group level="1" > <!-- HDO -->
+                <field field_ref="ovapHDO"    />
+                <field field_ref="oliqHDO"    />
+                <field field_ref="ocondHDO"   />
+                <field field_ref="dqdynHDO"   />
+                <field field_ref="dqldynHDO"  />
+                <field field_ref="dqconHDO"   />
+                <field field_ref="dqlscHDO"   />
+                <field field_ref="dqevaHDO"   />
+                <field field_ref="dqvdfHDO"   />
+                <field field_ref="dqajsHDO"   />
+                <field field_ref="dqtheHDO"   />
+              </field_group>
+              <field_group level="11" > <!-- HTO -->
+                <field field_ref="ovapHTO"    />
+                <field field_ref="oliqHTO"    />
+                <field field_ref="ocondHTO"   />
+                <field field_ref="dqdynHTO"   />
+                <field field_ref="dqldynHTO"  />
+                <field field_ref="dqconHTO"   />
+                <field field_ref="dqlscHTO"   />
+                <field field_ref="dqevaHTO"   />
+                <field field_ref="dqvdfHTO"   />
+                <field field_ref="dqajsHTO"   />
+                <field field_ref="dqtheHTO"   />
+              </field_group> 
+             <!-- End Added SN isotopes 3D fields 07 2023 -->
             </field_group>
             <field_group operation="average" grid_ref="grid_out_presinter">
Index: /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 4980)
+++ /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 4981)
@@ -165,4 +165,5 @@
                 <field field_ref="mrroli" level="1" />
                 <field field_ref="runofflic" level="5" />
+                <field field_ref="runoffland" level="1" />
                 <field field_ref="taux" level="1" />
                 <field field_ref="tauy" level="1" />
@@ -499,4 +500,64 @@
                 <field field_ref="dqthe2d" level="4" />
                 <field field_ref="dqajs2d" level="4" />
+            <!-- Begin Added SN isotopes 2D fields 07 2023 -->
+            <!-- water oxygen H216O H217O H218O -->
+              <field_group level="11" > <!-- H216O -->
+                <field field_ref="precipH216O"      />
+                <field field_ref="plulH216O"        />
+                <field field_ref="plucH216O"        />
+                <field field_ref="runofflandH216O"  />
+                <field field_ref="evapH216O"        />
+                <field field_ref="evap_terH216O"    />
+                <field field_ref="evap_licH216O"    />
+                <field field_ref="evap_oceH216O"    />
+                <field field_ref="evap_sicH216O"    />
+              </field_group>
+              <field_group level="11" > <!-- H217O -->
+                <field field_ref="precipH217O"      />
+                <field field_ref="plulH217O"        />
+                <field field_ref="plucH217O"        />
+                <field field_ref="runofflandH217O"  />
+                <field field_ref="evapH217O"        />
+                <field field_ref="evap_terH217O"    />
+                <field field_ref="evap_licH217O"    />
+                <field field_ref="evap_oceH217O"    />
+                <field field_ref="evap_sicH217O"    />
+              </field_group>
+              <field_group level="1" > <!-- H218O -->
+                <field field_ref="precipH218O"      />
+                <field field_ref="plulH218O"        />
+                <field field_ref="plucH218O"        />
+                <field field_ref="runofflandH218O"  />
+                <field field_ref="evapH218O"        />
+                <field field_ref="evap_terH218O"    />
+                <field field_ref="evap_licH218O"    />
+                <field field_ref="evap_oceH218O"    />
+                <field field_ref="evap_sicH218O"    />
+              </field_group>
+            <!-- water hydrogen HDO HTO -->
+              <field_group level="1" > <!-- HDO -->
+                <field field_ref="precipHDO"     />
+                <field field_ref="plulHDO"       />
+                <field field_ref="plucHDO"       />
+                <field field_ref="runofflandHDO"  />
+                <field field_ref="evapHDO"       />
+                <field field_ref="evap_terHDO"   />
+                <field field_ref="evap_licHDO"   />
+                <field field_ref="evap_oceHDO"   />
+                <field field_ref="evap_sicHDO"   />
+              </field_group>
+              <field_group level="11" > <!-- HTO -->
+                <field field_ref="plulHTO"       />
+                <field field_ref="precipHTO"     />
+                <field field_ref="plucHTO"       />
+                <field field_ref="runofflandHTO"  />
+                <field field_ref="evapHTO"       />
+                <field field_ref="evap_terHTO"   />
+                <field field_ref="evap_licHTO"   />
+                <field field_ref="evap_oceHTO"   />
+                <field field_ref="evap_sicHTO"   />
+              </field_group>
+         <!-- end Added SN isotopes 2D fields 07 2023 -->
+
             </field_group>
 
@@ -680,4 +741,74 @@
                 <field field_ref="heat_volc" level="1" />
 		<field field_ref="dqch4"     level="10" />
+             <!-- Begin Added SN isotopes 3D fields 07 2023 -->
+             <!-- water oxygen H216O H217O H218O -->
+             <field_group level="11" > <!-- H216O -->
+                <field field_ref="ovapH216O"    />
+                <field field_ref="oliqH216O"    />
+                <field field_ref="ocondH216O"   />
+                <field field_ref="dqdynH216O"   />
+                <field field_ref="dqldynH216O"  />
+                <field field_ref="dqconH216O"   />
+                <field field_ref="dqlscH216O"   />
+                <field field_ref="dqevaH216O"   />
+                <field field_ref="dqvdfH216O"   />
+                <field field_ref="dqajsH216O"   />
+                <field field_ref="dqtheH216O"   />
+              </field_group>
+              <field_group level="11" > <!-- H217O -->
+                <field field_ref="ovapH217O"    />
+                <field field_ref="oliqH217O"    />
+                <field field_ref="ocondH217O"   />
+                <field field_ref="dqdynH217O"   />
+                <field field_ref="dqldynH217O"  />
+                <field field_ref="dqconH217O"   />
+                <field field_ref="dqlscH217O"   />
+                <field field_ref="dqevaH217O"   />
+                <field field_ref="dqvdfH217O"   />
+                <field field_ref="dqajsH217O"   />
+                <field field_ref="dqtheH217O"   />
+              </field_group>
+              <field_group level="1" > <!-- H218O -->
+                <field field_ref="ovapH218O"    />
+                <field field_ref="oliqH218O"    />
+                <field field_ref="ocondH218O"   />
+                <field field_ref="dqdynH218O"   />
+                <field field_ref="dqldynH218O"  />
+                <field field_ref="dqconH218O"   />
+                <field field_ref="dqlscH218O"   />
+                <field field_ref="dqevaH218O"   />
+                <field field_ref="dqvdfH218O"   />
+                <field field_ref="dqajsH218O"   />
+                <field field_ref="dqtheH218O"   />
+              </field_group>
+            <!-- water hydrogen HDO HTO -->
+              <field_group level="1" > <!-- HDO -->
+                <field field_ref="ovapHDO"    />
+                <field field_ref="oliqHDO"    />
+                <field field_ref="ocondHDO"   />
+                <field field_ref="dqdynHDO"   />
+                <field field_ref="dqldynHDO"  />
+                <field field_ref="dqconHDO"   />
+                <field field_ref="dqlscHDO"   />
+                <field field_ref="dqevaHDO"   />
+                <field field_ref="dqvdfHDO"   />
+                <field field_ref="dqajsHDO"   />
+                <field field_ref="dqtheHDO"   />
+              </field_group>
+              <field_group level="11" > <!-- HTO -->
+                <field field_ref="ovapHTO"    />
+                <field field_ref="oliqHTO"    />
+                <field field_ref="ocondHTO"   />
+                <field field_ref="dqdynHTO"   />
+                <field field_ref="dqldynHTO"  />
+                <field field_ref="dqconHTO"   />
+                <field field_ref="dqlscHTO"   />
+                <field field_ref="dqevaHTO"   />
+                <field field_ref="dqvdfHTO"   />
+                <field field_ref="dqajsHTO"   />
+                <field field_ref="dqtheHTO"   />
+              </field_group> 
+             <!-- End Added SN isotopes 3D fields 07 2023 -->
+ 
             </field_group>
 