Index: BOL/LMDZ_Setup_amaury/reb.sh
===================================================================
--- BOL/LMDZ_Setup_amaury/reb.sh	(revision 4980)
+++ BOL/LMDZ_Setup_amaury/reb.sh	(revision 4986)
@@ -31,4 +31,18 @@
 #@JZ#SBATCH --output=post${type}%j.out  # nom du fichier de sortie
 #@JZ#SBATCH --error=post${type}%j.out   # nom du fichier d'erreur (ici en commun avec la sortie)
+#@SP#Spirit
+#@SP#SBATCH --job-name=Seq
+#@SP#SBATCH --nodes=1
+#@SP#SBATCH --ntasks-per-node=1
+#@SP#SBATCH --time=00:30:00
+#@SP#SBATCH --output=post${type}%j.out
+#@SP#SBATCH --error=post${type}%j.out
+#@ADS#Adastra
+#@ADS#SBATCH --job-name=Seq
+#@ADS#SBATCH --nodes=1
+#@ADS#SBATCH --ntasks-per-node=1
+#@ADS#SBATCH --time=00:30:00
+#@ADS#SBATCH --output=post${type}%j.out
+#@ADS#SBATCH --error=post${type}%j.out
 
 # on se place dans le repertoire de soumission
@@ -53,4 +67,4 @@
 
   echo "Submitting the rebuild job $job"
-  $RUNCMD "$job"
+  $SUBMITCMD "$job"
 done
Index: BOL/LMDZ_Setup_amaury/setup.sh
===================================================================
--- BOL/LMDZ_Setup_amaury/setup.sh	(revision 4980)
+++ BOL/LMDZ_Setup_amaury/setup.sh	(revision 4986)
@@ -23,5 +23,5 @@
   #  c/ #SBATCH --qos=qos_cpu-dev (this line is in script_SIMU, by default it is commented out)
   #If you want to change "time", or "nday", but still run in "test" mode, modify the "if [ $debug = 1 ]...; fi" further below.
-  testmode=n
+  testmode="y"  # TODO revert
 
   # Radiative code : "oldrad" or "rrtm" or "ecrad"
@@ -33,4 +33,5 @@
   #   in order to re-run the initialisation job, which downloads the aerosol files and interpolates them)
   aerosols="clim"
+  aerosols="n"  # TODO revert when we fix/investigate the aerosols issue
 
   # SURFACE/VEGETATION SCHEME
@@ -41,5 +42,5 @@
   # - number: orchidee version number : only rev 7983 on branch _2_2, and 7994 on trunk, are available
   veget="CMIP6"
-  veget="none"  # TODO temp
+
   #AS : If you have installed the model with a given "veget" option, and you want to change it :
   #   --> RECOMMENDED : re-install the model from scratch in a new TEST_PROD folder
@@ -66,5 +67,5 @@
   #   With XIOS : adjust DEF/XMLfiles*/file*xml
 
-  netcdf=0  # TODO set back to 0
+  netcdf=0
 }
 
@@ -120,19 +121,4 @@
 
   LIMIT="LIMIT"
-
-  ######################################################################
-  # Choix du nombre de processeurs
-  # NOTES :
-  # omp=8 by default (for Jean-Zay must be a divisor of 40 procs/node), but we need
-  #   omp=1 for SPLA (only MPI parallelisation)
-  #   omp=2 for veget=CMIP6 beacause of a bug in ORCHIDEE/src_xml/xios_orchidee.f90
-  ######################################################################
-  jm=$(echo "$resol" | cut -dx -f2)
-  (( mpi = ( jm + 1 ) / 2 ))
-  omp=8
-  if [[ $aerosols = "spla" ]]; then omp=1; fi
-  if [[ $veget = "CMIP6" && $xios = "y" ]]; then omp=2; fi
-  if [[ $mpi -gt $NB_MPI_MAX ]]; then mpi=$NB_MPI_MAX; fi
-  if [[ $omp -gt $NB_OMP_MAX ]]; then omp=$NB_OMP_MAX; fi
 
   case $rad in
@@ -196,4 +182,19 @@
      if [[ $ans != y ]]; then exit 1; fi
   fi
+
+  ######################################################################
+  # Choix du nombre de processeurs
+  # NOTES :
+  # omp=8 by default (for Jean-Zay must be a divisor of 40 procs/node), but we need
+  #   omp=1 for SPLA (only MPI parallelisation)
+  #   omp=2 for veget=CMIP6 beacause of a bug in ORCHIDEE/src_xml/xios_orchidee.f90
+  ######################################################################
+  jm=$(echo "$resol" | cut -dx -f2)
+  (( mpi = ( jm + 1 ) / 2 ))
+  omp=8
+  if [[ $aerosols = "spla" ]]; then omp=1; fi
+  if [[ $veget = "CMIP6" && $xios = "y" ]]; then omp=2; fi
+  if [[ $mpi -gt $NB_MPI_MAX ]]; then mpi=$NB_MPI_MAX; fi
+  if [[ $omp -gt $NB_OMP_MAX ]]; then omp=$NB_OMP_MAX; fi
 }
 
@@ -456,5 +457,5 @@
 
   if [[ $testmode = "y" ]]; then
-    sed -i'' -e "s/time=.*.$/time=00:30:00/" -e "s/#nday=1/nday=1/" -e "s/#@TESTQ//" "$SIMRUNTOPDIR/tmp_$SIM"
+    sed -i'' -e "s/time=.*.$/time=00:10:00/" -e "s/#nday=1/nday=1/" -e "s/#@TESTQ//" "$SIMRUNTOPDIR/tmp_$SIM"
   fi
 }
@@ -710,7 +711,4 @@
 source lmdz_env.sh
 
-# TODO Amaury: commented-out for now // /!\ check w/ Adriana: "groupe@cpu" never appears in seasonal.sh...
-## Pour les post-traitements
-#sed -i'' -e "s/groupe@cpu/$groupe@cpu/" seasonal.sh
 local=$(pwd)
 
@@ -769,5 +767,5 @@
    if [ "$aerosols" = "spla" ]; then
      echo Your aerosol choice is "spla", so you need ERA 10m-winds interpolated on LMDZ grid
-     echo Use script era2gcm_uv10m.sh  
+     echo Use script era2gcm_uv10m.sh
    fi
 else
@@ -783,3 +781,3 @@
 
 echo "To recompile the model :"
-echo "run the compile${sufiso}.sh script created in the present folder: ./compile${sufiso}.sh gcm " 
+echo "run the compile${sufiso}.sh script created in the present folder: ./compile${sufiso}.sh gcm "