Index: BOL/LMDZ_Setup_amaury/DEF/namelist_ecrad
===================================================================
--- BOL/LMDZ_Setup_amaury/DEF/namelist_ecrad	(revision 4992)
+++ BOL/LMDZ_Setup_amaury/DEF/namelist_ecrad	(revision 4993)
@@ -6,32 +6,17 @@
 !
 &radiation_driver
- do_parallel             = true,   ! Use OpenMP parallelization?
- nblocksize              = 8,      ! Number of columns to process per thread
-
-! Verbosity level: 0=none, 1=warning, 2=info, 3=progress, 4=detailed, 5=debug
- iverbose = 5, 
-
- fractional_std=1.,                 ! (-)    vertically constant fractional standard deviation of in-cloud liquid water [0, 3]    *0.75*
- overlap_decorr_length=1000,          ! (m)    vertically constant overlap decorrelation length                           [0, 5000] *2000*
-                                      !        following Hogan and Illingworth 2000, if overlap_scheme_name=="Exp-Ran" 
+ ok_effective_size=false,             !        Cloud effective size taken into account for SPARTACUS solver if true
+ ok_separation=true,                  !        Cloud separation scale taken into account for SPARTACUS solver if true
+ frac_std=1.,                         ! (-)    vertically constant fractional standard deviation of in-cloud liquid water [0, 3]    *0.75*
+ overlap_decorr_length=2000,          ! (m)    vertically constant overlap decorrelation length                           [0, 5000] *2000*
+                                      !        following Hogan and Illingworth 2000, if overlap_scheme_name=="Exp-Ran"
                                       !        Ctrue(i,j) = a*Cmax(i,j) + (1-a)*Crand(i,j) ; a = exp(DZ(i,j)/overlap_decorr_length)
- high_inv_effective_size = 0.0001     ! (m-1)  override input profile      [e-6, e-3] *e-4*
- middle_inv_effective_size = 0.0001   ! (m-1)  override input profile      [e-6, e-3] *e-4*
- low_inv_effective_size = 0.005       ! (m-1)  override input profile      [e-5, e-2] *e-3*
- effective_size_scaling = 1.0,        ! (-)    scale effective size
-
- !sw_albedo              = 0.2,        ! (-)    override shortwave albedo, no default     [0,1]
- !lw_emissivity          = 1.0,        ! (-)    override longwave emissivity, no default  [0,1]
-
- q_liquid_scaling       = 1.,         ! (-)    scale liquid water content input profile
- q_ice_scaling          = 1.,         ! (-)    scale ice water content input profile
- cloud_fraction_scaling = 1.,         ! (-)    scale cloud fraction input profile
-
- overlap_decorr_length_scaling=1.,    ! (-)    scale overlap decorrelation length
-
- !skin_temperature       =  294.2,     ! (K)    override skin temperature from input file, no default
- !cos_solar_zenith_angle =  .5,        ! (-)    override cos solar zenith angle from input file, no default
-
- !solar_irradiance_override= 1368.143, ! (Wm-2) override total solar irradiance, default value is 1366.0
+ high_inv_effective_size = 0.0001,     ! (m-1)  override input profile      [e-6, e-3] *e-4*
+ middle_inv_effective_size = 0.0001,   ! (m-1)  override input profile      [e-6, e-3] *e-4*
+ low_inv_effective_size = 0.005,       ! (m-1)  override input profile      [e-5, e-2] *e-3*
+ cloud_separation_scale_toa = 14000.0,
+ cloud_separation_scale_surface = 2500.0,
+ cloud_separation_scale_power = 3.5,
+ cloud_inhom_separation_factor = 0.75,
 /
 
@@ -41,32 +26,34 @@
 !
 &radiation
-do_lw = true,
-do_sw_direct = true,
-do_3d_effects		= true,           ! Represent 3D effects?
-do_lw_side_emissivity   = true,
-do_3d_lw_multilayer_effects = true,
-directory_name="/gpfsstore/rech/gzi/rdzt896/TEST_PRODtesting4581/ecrad_data",
+ do_lw = true,
+ do_sw_direct = true,
+ do_3d_effects		= true,           ! Represent 3D effects?
+ do_lw_side_emissivity   = true,
+ do_3d_lw_multilayer_effects = true,
+ directory_name		= "data",         ! Location of configuration files
 
-liquid_model_name = "SOCRATES",           ! Liquid droplet scattering model: "Monochromatic", "HuStamnes", *"SOCRATES"*, "Slingo"
-ice_model_name    = "Fu-IFS",             ! Ice particle scattering model: "Monochromatic", "Fu-PSRAD", "Fu-IFS", *"Baran"*, "Baran2016", "Baran2017", "Yi"
-cloud_pdf_shape_name    = "Gamma",        ! To describe liquid water horizontal distribution: *"Gamma"*, "Lognormal"
+ liquid_model_name = "SOCRATES",           ! Liquid droplet scattering model: "Monochromatic", "HuStamnes", *"SOCRATES"*, "Slingo"
+ ice_model_name    = "Fu-IFS",             ! Ice particle scattering model: "Monochromatic", "Fu-PSRAD", "Fu-IFS", *"Baran"*, "Baran2016", "Baran2017", "Yi"
+ cloud_pdf_shape_name    = "Gamma",        ! To describe liquid water horizontal distribution: *"Gamma"*, "Lognormal"
 
-sw_solver_name          = "Tripleclouds",    ! Solver: "Homogeneous", *"McICA"*, "SPARTACUS", "Tripleclouds"
-lw_solver_name          = "Tripleclouds",    ! enable 3D effects
-sw_encroachment_name    = "Computed",     ! "Maximum" = old behaviour (also "Minimum"/*"Computed"*)
-overlap_scheme_name     = "Exp-Ran",      ! Cloud overlap: *"Exp-Ran"*, "Max-Ran", "Exp-Exp"
+ sw_solver_name          = "Tripleclouds",    ! Solver: "Homogeneous", *"McICA"*, "SPARTACUS", "Tripleclouds"
+ lw_solver_name          = "Tripleclouds",    ! enable 3D effects
+ sw_encroachment_name    = "Computed",     ! "Maximum" = old behaviour (also "Minimum"/*"Computed"*)
+ overlap_scheme_name     = "Exp-Ran",      ! Cloud overlap: *"Exp-Ran"*, "Max-Ran", "Exp-Exp"
 
-overhead_sun_factor = 0.06,
-do_lw_cloud_scattering 	= true,           ! Clouds scatter in the longwave?
-do_lw_aerosol_scattering= true,           ! Aerosols scatter in the longwave?
-cloud_inhom_decorr_scaling = 0.5,
-do_save_radiative_properties = false,     ! Save raw radiation properties in radiative_properties.nc?
+ overhead_sun_factor = 0.06,
+ do_lw_cloud_scattering 	= true,           ! Clouds scatter in the longwave?
+ do_lw_aerosol_scattering= true,           ! Aerosols scatter in the longwave?
+ cloud_inhom_decorr_scaling = 0.5,
+ do_save_radiative_properties = false,     ! Save raw radiation properties in radiative_properties.nc?
 
 ! Verbosity level: 0=none, 1=warning, 2=info, 3=progress, 4=detailed, 5=debug
-iverbose    	 	= 1, 
-use_aerosols		= false,          ! Include aerosols in radiation calculations?
-n_aerosol_types         = 12,             
-do_save_spectral_flux   = false,          ! Save spectral fluxes in output file?
-do_save_gpoint_flux     = false,          ! Save fluxes per g-point in output file?
-gas_model_name          = "RRTMG-IFS",    ! Gas model: "Monochromatic", *"RRTMG-IFS"*, "RRTMG-PSRAD"
+ iverbose    	 	= 1,
+ use_aerosols		= false,          ! Include aerosols in radiation calculations?
+ n_aerosol_types         = 13,
+ !aerosol_optics_override_file_name = "aer_opt_LMDZ_ECCKD.nc",
+ !aerosol_optics_override_file_name = "aer_opt_LMDZ_RRTMG.nc",
+ do_save_spectral_flux   = false,          ! Save spectral fluxes in output file?
+ do_save_gpoint_flux     = false,          ! Save fluxes per g-point in output file?
+ gas_model_name          = "ECCKD",    ! Gas model: "Monochromatic", "RRTMG-IFS", "ECCKD"
 /
Index: BOL/LMDZ_Setup_amaury/era2gcm_tuto.sh
===================================================================
--- BOL/LMDZ_Setup_amaury/era2gcm_tuto.sh	(revision 4992)
+++ BOL/LMDZ_Setup_amaury/era2gcm_tuto.sh	(revision 4993)
@@ -4,5 +4,5 @@
 #
 #  Script for interpolating monthly ERA* files to the LMDZ grid;
-#  it creates the folder structure required by the tutorial_prod scripts
+#  it creates the folder structure required by the LMDZ_Setup scripts
 #
 #  NB: for "cleanest" guiding, the 1st step of the next month should be added at the end of each month.
@@ -12,12 +12,12 @@
 #
 #-----------------------------------------------------------------------------
-# Requires : netcdf, ferret, nco
-#-----------------------------------------------------------------------------
-module load netcdf/4.7.2-mpi-cuda ferret nco cdo
+# Requires : netcdf, ferret, nco, cdo
+#-----------------------------------------------------------------------------
+#@JZ module load netcdf/4.7.2-mpi-cuda ferret nco cdo
 #
 # Check&modify section "User choices", then run the script with ./era2gcm.sh
 #-----------------------------------------------------------------------------
 # ATTENTION : VERIFIEZ 
-#  --> l'acces (repositoire ou telechargement) a la reanalyse ERA souhaitee (variable ANA_DIR)
+#  --> l'accès (repositoire ou telechargement) a la réanalyse ERA souhaitée (variable ANA_DIR)
 #    Contact pour demander acces aux fichiers sur Jean-Zay : 
 #        Sophie Bouffiès-Cloché, IPSL : Sophie.Bouffies-Cloche@ipsl.fr
@@ -34,11 +34,19 @@
 #
 # Guidage en vent(u&v) et/ou temperature, humidite
-guide_uv=y
-guide_t=n
-guide_q=n
+guide_uv="y"
+guide_t="n"
+guide_q="n"
 #
 # Choix des fichiers de guidage ("rea"nalyses) : ERA5, ERAI, OPERA
-rea=ERA5
+rea="ERA5"
 #------------------------------------------------
+
+#@JZ ERA5_PATH="/gpfsstore/rech/psl/rpsl376/ergon/ERA5/"
+#@JZ ERAI_PATH="/gpfsstore/rech/psl/rpsl376/ergon/ERAI/"
+#@ADS SCRATCH=$SCRATCHDIR
+
+set -u  # raise error if path if unset on machine
+echo "Paths: $ERA5_PATH $ERAI_PATH $SCRATCH"
+set +u
 
 GRID_DIR=./INIT
@@ -49,4 +57,5 @@
 #L'utilisateur a maintenant des choix a faire en plus de mth* : type de guidage, et "rea"
 # Alors c'est plus facile d'editer&modifier le script, puis lancer avec ./era2gcm.sh, que de donner tous les params
+# TODO check w/ Adriana if we can remove those and put them as inline args (above)
 while (($# > 0))
    do
@@ -59,8 +68,8 @@
      "-mthini") mth_i=$2 ; shift ; shift ;;
      "-mthend") mth_f=$2 ; shift ; shift ;;
-     *) $0 -h ; exit
+     *) $0 -h ; exit 1
    esac
 done
-#--Fin du block a examiner --------------------------------------------
+#--Fin du bloc a examiner --------------------------------------------
 
 tmin=1
@@ -69,7 +78,6 @@
 GRID_FI=${GRID_DIR}/${resol}
 if [ ! -f "$GRID_FI" ] ; then
-   echo Le fichier $GRID_DIR/$resol est necessaire
-   echo creer le fichier $GRID_FI avec grilles_gcm_netcdf.e
-   exit
+   echo "Le fichier $GRID_DIR/$resol est nécessaire; créer le fichier $GRID_FI avec grilles_gcm_netcdf.e"
+   exit 1
 fi
 mth=$mth_i
@@ -77,23 +85,22 @@
 
 #####################################################################
-while (( $mth <= $mth_f )) ; do
-#####################################################################
-   echo mth $mth
-   mois=`echo $mth | cut -c 5-`
-   an=`echo $mth | cut -c -4`
+while (( mth <= mth_f )) ; do
+#####################################################################
+   echo "mth $mth"
+   mois=$(echo "$mth" | cut -c 5-)
+   an=$(echo "$mth" | cut -c -4)
    ndays=( 31 28 31 30 31 30 31 31 30 31 30 31 )
    months=( jan feb mar apr may jun jul aug sep oct nov dec )
-   if [ $(( $an % 4 )) = 0 ] ; then ndays[1]=29 ; fi
+   if [ $(( an % 4 )) = 0 ] ; then ndays[1]=29 ; fi
    imois=$(( ${mois#0} - 1 ))
    month=${months[$imois]}
    nday=${ndays[$imois]}
-   tmax=$(( $nday * 4 ))
-   echo PARAMETRES CALENDAIRES $imois $month $nday $tmax
-
-
-   iip1=`ncdump -h $GRID_FI | grep lonu | head -1 | awk ' { print $3 } '`
-   jjm=`ncdump -h $GRID_FI | grep latv | head -1 | awk ' { print $3 } '`
-   (( jjp1 =  $jjm + 1 ))
-   (( iim  = $iip1 - 1 ))
+   tmax=$(( nday * 4 ))
+   echo "PARAMETRES CALENDAIRES $imois $month $nday $tmax"
+
+
+   iip1=$(ncdump -h "$GRID_FI" | grep lonu | head -1 | awk ' { print $3 } ')
+   jjm=$(ncdump -h "$GRID_FI" | grep latv | head -1 | awk ' { print $3 } ')
+   (( jjp1 = jjm + 1 ))
 #   \rm t2.nc ua.nc va.nc sst.nc u.nc v.nc T.nc ts.nc
 
@@ -108,22 +115,16 @@
 # Lien avec les fichiers netcdf contenant les d0 ECMWF 
 #####################################################################
-   echo -------- liens de telechargement a actualiser ----
+   echo "-------- liens de telechargement a actualiser ----"
    if [ "$rea" = "ERA5" ] ; then
-     if [ $an -ge 2022 ] ; then
-      ANA_DIR='/gpfsstore/rech/psl/rpsl376/ergon/ERA5/NETCDF/GLOBAL_025/hourly'
+     if [[ $an -ge 2022 ]] ; then
+      ANA_DIR="$ERA5_PATH/NETCDF/GLOBAL_025/hourly"
       suf="ap1e5.GLOBAL_025"
      else
-      ANA_DIR='/gpfsstore/rech/psl/rpsl376/ergon/ERA5/NETCDF/GLOBAL_025/4xdaily'
+      ANA_DIR="$ERA5_PATH/NETCDF/GLOBAL_025/4xdaily"
       suf="aphe5.GLOBAL_025"
      fi
    elif [ "$rea" = "ERAI" ] ; then
-      #ANA_DIR='http://prodn.idris.fr/thredds/dodsC/ipsl_private/rpsl376/ERAI/NETCDF/GLOBAL_1125/4xdaily'
-      ANA_DIR='/gpfsstore/rech/psl/rpsl376/ergon/ERAI/NETCDF/GLOBAL_1125/4xdaily'
-      #/gpfsstore/rech/psl/rpsl376/ergon/ERAI/NETCDF/GLOBAL_075/4xdaily/AN_PL/2006/u.200601.aphei.GLOBAL_075.nc 
+      ANA_DIR="$ERAI_PATH/NETCDF/GLOBAL_1125/4xdaily"
       suf="aphei.GLOBAL_1125"
-   else  #OPERA
-      #ANA_DIR='http://prodn.idris.fr/thredds/dodsC/ipsl_private/rpsl376/OPERA/NETCDF/4xdaily'
-      ANA_DIR='/gpfsstore/rech/psl/rpsl376/ergon/OPERA/NETCDF/4xdaily'
-      suf="aph.GLOBAL_1125"
    fi
 
@@ -200,5 +201,6 @@
 if [ "$guide_uv" = "y" ] ; then
 
-cat <<eod>| tmp_uv.jnl
+
+cat << eod >| tmp_uv.jnl
 ! NB : Augmenter la memoire (plus de 512) peut faire planter
 set memory/size=512
Index: BOL/LMDZ_Setup_amaury/lmdz_env.sh
===================================================================
--- BOL/LMDZ_Setup_amaury/lmdz_env.sh	(revision 4992)
+++ BOL/LMDZ_Setup_amaury/lmdz_env.sh	(revision 4993)
@@ -70,7 +70,23 @@
     adast)
       module purge
-  #    module load PrgEnv-gnu
-  #    module load cray-hdf5-parallel
-  #    module load netcdf-hdf5parallel/gnu/10.3
+      module load PrgEnv-gnu
+      module load gcc/13.2.0  # required, see https://dci.dci-gitlab.cines.fr/webextranet/user_support/index.html#prgenv-and-compilers
+
+      function cdo {  # cdo is available as a spack cmd which requires a specific, incompatible env
+        unset cdo
+        module purge
+        module load GCC-CPU-3.1.0
+        /opt/software/gaia-external/CPU/cdo-2.4.0/__spack_path_placeholder__/__spack_path_placeholder__/__spack_path_placeholder__/__spa/cdo-2.4.0-gcc-12.1-b3qr/bin/cdo "$@"
+        set_env
+      }
+
+      function ferret {
+        unset ferret
+        module purge
+        module load GCC-CPU-3.1.0
+        module load ferret
+        ferret "$@"
+        set_env
+      }
 
       account=$(/usr/sbin/my_project.py -l 2>&1 | head -1 | cut -d " " -f 3- | cut -c 5-)
@@ -80,8 +96,8 @@
       LMDZD="$root_dir/LMDZD"
       LMDZ_INIT="$root_dir/LMDZ_Init"
-      NB_MPI_MAX=20  # TODO 2000 in JZ
-      NB_OMP_MAX=2  # TODO 20 in JZ
-      RUNCMD="srun --label --account=$account -n"
-      SUBMITCMD="sbatch --account=$account"
+      NB_MPI_MAX=1  # TODO 2000 in JZ
+      NB_OMP_MAX=1  # TODO 20 in JZ
+      RUNCMD="srun --label --account=$account --constraint=GENOA -n"
+      SUBMITCMD="sbatch --constraint=GENOA --account=$account"
       ;;
     *) echo "WARNING: RUNNING THIS SCRIPT ON A LOCAL COMPUTER IS DISCOURAGED (lackluster cpus and memory)"
Index: BOL/LMDZ_Setup_amaury/setup.sh
===================================================================
--- BOL/LMDZ_Setup_amaury/setup.sh	(revision 4992)
+++ BOL/LMDZ_Setup_amaury/setup.sh	(revision 4993)
@@ -26,11 +26,9 @@
   #   in order to re-run the initialisation job, which downloads the aerosol files and interpolates them)
   aerosols="clim"
-  aerosols="n"  # TODO TEMP
 
   # SURFACE/VEGETATION SCHEME
-  # - "none" (bucket scheme) / "CMIP6" or "orch2.0" (orchidee version used in CMIP exercise) / "orch2.2" (orchidee version used in IPSLCM7 configuration) / number (orchidee version number - only rev 7983 on branch _2_2, and 7994 on trunk, are available)
-  # TODO check w/ Adriana why only 7983 & 7994, see if still relevant - is it a compilation issue ? Or an INIT issue ?
+  # - "none" (bucket scheme) / "CMIP6" (orchidee version used in CMIP exercise) / "7983" (orch2.2) / "7994" (trunk)
+  # If you need other orch versions, and also require XIOS, you'll need to create the appropriate files in DEF/XMLfilesOR...
   veget="CMIP6"
-#  veget="6592"  # TODO correct bug in install_lmdz where we don't know which fcm arg to fwd if we only give the rev... see w/ Laurent (choice in ols install_lmdz: only support >2.0)
 
   # New snow scheme INLANDSIS! "y" / "n"
@@ -198,4 +196,8 @@
     exit 1
   fi
+
+  if [[ $rad = "ecrad" && $phylmd != "lmd" ]]; then
+    echo "<rad=ecrad> is only supported for <phy=phylmd> here"  # (Amaury) I added this check because we fetch ecrad data from libf/phylmd/ecrad/data only.
+  fi
 }
 
@@ -219,9 +221,12 @@
   cp "$local/install_lmdz.sh" .
   chmod +x install_lmdz.sh
-  echo "./install_lmdz.sh -noclean $optim -v $version $svnopt -d $resol -rad $rad -bench 0 -parallel mpi_omp $ins_cosp $ins_xios $ins_aero $ins_inlandsis -name $LMDZname -veget $veget -netcdf $netcdf -arch $ARCH" >> install_lmdz_options.$$.sh
+  local make_j=8
+  echo "./install_lmdz.sh -noclean $optim -v $version $svnopt -d $resol -rad $rad -bench 0 -parallel mpi_omp $ins_cosp $ins_xios $ins_aero $ins_inlandsis -name $LMDZname -veget $veget -netcdf $netcdf -arch $ARCH -make_j $make_j" >> install_lmdz_options.$$.sh
   chmod +x install_lmdz_options.$$.sh
   echo "Running install_lmdz_options.$$.sh"
   set -o pipefail
-  gcm=$MODEL/$(./install_lmdz_options.$$.sh | tee /dev/tty | tail -n 1 | sed -n "s:.* executable is \(.*\.e\).*:\1:p")
+  # TODO (wip) Run install_lmdz using $RUNCMD to 1) speed up 2) avoid issues related to being on the "right" platform for compilation
+  # gcm=$MODEL/$($RUNCMD $make_j bash install_lmdz_options.$$.sh | tee /dev/tty | tail -n 1 | sed -n "s:.* executable is \(.*\.e\).*:\1:p")
+    gcm=$MODEL/$(./install_lmdz_options.$$.sh | tee /dev/tty | tail -n 1 | sed -n "s:.* executable is \(.*\.e\).*:\1:p")
   set +o pipefail
   mv install_lmdz.sh install_lmdz.$$.sh
@@ -305,5 +310,5 @@
   #---------------------------------------------------------------------
   sed -i'' -e 's/iflag_rrtm=.*.$/iflag_rrtm='"$iflag_rrtm"'/' -e 's/NSW=.*.$/NSW='"$NSW"'/' DEF/physiq.def
-  sed -i'' -e 's:directory_name.*$:directory_name="'"$local"'/ecrad_data",:' DEF/namelist_ecrad
+  sed -i"" -e "s:directory_name.*$:directory_name=\"$MODEL/libf/phylmd/ecrad/ecrad_data\",:" DEF/namelist_ecrad
 
   if [[ $phylmd = "lmdiso" ]]; then iflag_ice_thermo=0; else iflag_ice_thermo=1; fi
@@ -519,8 +524,4 @@
   done
   cd - > /dev/null
-
-  if [[ $rad = "ecrad" && ! -d ecrad_data ]]; then
-    cd "$local"; wget https://lmdz.lmd.jussieu.fr/pub/3DInputData/ecrad/ecrad_data.tar; tar xvf ecrad_data.tar; cd - > /dev/null
-  fi
 }
 
@@ -695,7 +696,8 @@
 function message_post_submit {
   if [[ $ok_guide = "y" && $init = 1 ]]; then
+    enable_platform era2gcm_tuto.sh
     echo "Once initialisation is finished, you have to create nudging files"
-    echo "Edit era2gcm.sh and set the desired parameters in section <User choices>"
-    echo "Make sure you have acces to the chosen ERA files, and the required modules are loaded, then run : ./era2gcm.sh"
+    echo "Edit era2gcm_tuto.sh and set the desired parameters in section <User choices>"
+    echo "Make sure you have acces to the chosen ERA files, and the required modules are loaded, then run : ./era2gcm_tuto.sh"
     if [[ $aerosols = "spla" ]]; then
       echo "Your aerosol choice is <spla>, so you need ERA 10m-winds interpolated on LMDZ grid. Use script era2gcm_uv10m.sh"
@@ -703,5 +705,5 @@
   else
     echo "Si tout se passe bien, vous avez initialisé et lancé automatiquement la simulation."
-    echo "Le job qui a été lancé se trouve sur $SIMRUNTOPDIR/$MAINDIR/tmp_$SIM"
+    echo "Le job qui a été lancé se trouve sur $SIMRUNTOPDIR/tmp_$SIM"
   fi
 }
@@ -724,42 +726,2 @@
 run_sim_or_init
 message_post_submit
-
-exit 1
-
-
-# COMPILATION OPTIONS depending on the user choices and LMDZ revision number $mysvn
-#-------------------------------------------------------
-
-if [[ $rad = "ecrad" && $aerosols != "n" && $mysvn -lt 4489 ]] ; then echo "Les aerosols tropospheriques ne sont pas pris en charge par ecrad avant LMDZ rev 4489, ici rev est $mysvn"; exit 1; fi
-
-# EXIT after (install and) compilation if we are on jean-zay-pp instead of jean-zay !
-hostname=`hostname`
-if [ ${hostname:0:11} = "jean-zay-pp" ]; then
- echo "You are on jean-zay-pp, here you only can install and compile the model, not run it"
- echo "If you want to run a simulation, log in to jean-zay and launch main.sh again, without install"
- echo `date`
- exit
-fi
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-###############################################################################
-# At the end, print on screen the compilation command, and also in a "compile.sh" script
-
-echo "To recompile the model :"
-echo "run the compile${sufiso}.sh script created in the present folder: ./compile${sufiso}.sh gcm "