Index: /LMDZ6/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 4998)
+++ /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 4999)
@@ -977,4 +977,6 @@
         <field id="budg_3D_backgr_so2"   long_name="SO2 background tendency"                               unit="kg(S)/m2/layer/s" />
         <field id="R2SO4"                long_name="H2SO4 mass fraction in aerosol"                        unit="%" />
+        <field id="SAD_sulfate"                long_name="SAD WET sulfate aerosols"                        unit="cm2/cm3" />
+        <field id="sulfMMR"                long_name="Sulfate aerosol concentration (dry mass mixing ratio)"                        unit="kg(H2SO4)/kg(air)" />
         <field id="OCS_lifetime"         long_name="OCS lifetime"                                          unit="s" />
         <field id="SO2_lifetime"         long_name="SO2 lifetime"                                          unit="s" />
@@ -1018,4 +1020,79 @@
         <field id="BIN35" long_name="Sulfur aersol bin" unit="kg kg-1" />
         <field id="BIN36" long_name="Sulfur aersol bin" unit="kg kg-1" />
+	
+	<field id="BIN01_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN02_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN03_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN04_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN05_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN06_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN07_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN08_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN09_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN10_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN11_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN12_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN13_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN14_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN15_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN16_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN17_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN18_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN19_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN20_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN21_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN22_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN23_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN24_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN25_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN26_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN27_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN28_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN29_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN30_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN31_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN32_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN33_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN34_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN35_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+        <field id="BIN36_nd_mode" long_name="Sulfur aersol bin" unit="kg kg-1" />
+	
+	<field id="BIN01_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN02_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN03_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN04_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN05_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN06_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN07_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN08_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN09_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN10_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN11_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN12_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN13_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN14_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN15_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN16_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN17_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN18_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN19_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN20_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN21_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN22_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN23_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN24_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN25_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN26_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN27_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN28_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN29_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN30_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN31_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN32_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN33_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN34_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN35_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+        <field id="BIN36_sulfmmr_mode" long_name="Dry sulfate MMR in bin" unit="kg(H2SO4)/kg(air)" />
+	
 	<field id="GASOCS"  long_name="Carbonyl sulfide gas" unit="kg kg-1" />
 	<field id="GASSO2"  long_name="Sulfur dioxide gas" unit="kg kg-1" />
Index: /LMDZ6/trunk/DefLists/file_def_histdaystrataer_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histdaystrataer_lmdz.xml	(revision 4998)
+++ /LMDZ6/trunk/DefLists/file_def_histdaystrataer_lmdz.xml	(revision 4999)
@@ -38,4 +38,6 @@
 	<field field_ref="budg_3D_backgr_so2" level="10" />
 	<field field_ref="R2SO4" level="1" />
+	<field field_ref="SAD_sulfate" level="1" />
+	<field field_ref="sulfMMR" level="1" />
 	<field field_ref="OCS_lifetime" level="10" />
 	<field field_ref="SO2_lifetime" level="10" />
@@ -87,4 +89,78 @@
         <field field_ref="BIN35" level="2" />
         <field field_ref="BIN36" level="2" />
+	
+        <field field_ref="BIN01_nd_mode" level="3" />
+        <field field_ref="BIN02_nd_mode" level="3" />
+        <field field_ref="BIN03_nd_mode" level="3" />
+        <field field_ref="BIN04_nd_mode" level="3" />
+        <field field_ref="BIN05_nd_mode" level="3" />
+        <field field_ref="BIN06_nd_mode" level="3" />
+        <field field_ref="BIN07_nd_mode" level="3" />
+        <field field_ref="BIN08_nd_mode" level="3" />
+        <field field_ref="BIN09_nd_mode" level="3" />
+        <field field_ref="BIN10_nd_mode" level="3" />
+        <field field_ref="BIN11_nd_mode" level="3" />
+        <field field_ref="BIN12_nd_mode" level="3" />
+        <field field_ref="BIN13_nd_mode" level="3" />
+        <field field_ref="BIN14_nd_mode" level="3" />
+        <field field_ref="BIN15_nd_mode" level="3" />
+        <field field_ref="BIN16_nd_mode" level="3" />
+        <field field_ref="BIN17_nd_mode" level="3" />
+        <field field_ref="BIN18_nd_mode" level="3" />
+        <field field_ref="BIN19_nd_mode" level="3" />
+        <field field_ref="BIN20_nd_mode" level="3" />
+        <field field_ref="BIN21_nd_mode" level="3" />
+        <field field_ref="BIN22_nd_mode" level="3" />
+        <field field_ref="BIN23_nd_mode" level="3" />
+        <field field_ref="BIN24_nd_mode" level="3" />
+        <field field_ref="BIN25_nd_mode" level="3" />
+        <field field_ref="BIN26_nd_mode" level="3" />
+        <field field_ref="BIN27_nd_mode" level="3" />
+        <field field_ref="BIN28_nd_mode" level="3" />
+        <field field_ref="BIN29_nd_mode" level="3" />
+        <field field_ref="BIN30_nd_mode" level="3" />
+        <field field_ref="BIN31_nd_mode" level="3" />
+        <field field_ref="BIN32_nd_mode" level="3" />
+        <field field_ref="BIN33_nd_mode" level="3" />
+        <field field_ref="BIN34_nd_mode" level="3" />
+        <field field_ref="BIN35_nd_mode" level="3" />
+        <field field_ref="BIN36_nd_mode" level="3" />
+	
+        <field field_ref="BIN01_sulfmmr_mode" level="3" />
+        <field field_ref="BIN02_sulfmmr_mode" level="3" />
+        <field field_ref="BIN03_sulfmmr_mode" level="3" />
+        <field field_ref="BIN04_sulfmmr_mode" level="3" />
+        <field field_ref="BIN05_sulfmmr_mode" level="3" />
+        <field field_ref="BIN06_sulfmmr_mode" level="3" />
+        <field field_ref="BIN07_sulfmmr_mode" level="3" />
+        <field field_ref="BIN08_sulfmmr_mode" level="3" />
+        <field field_ref="BIN09_sulfmmr_mode" level="3" />
+        <field field_ref="BIN10_sulfmmr_mode" level="3" />
+        <field field_ref="BIN11_sulfmmr_mode" level="3" />
+        <field field_ref="BIN12_sulfmmr_mode" level="3" />
+        <field field_ref="BIN13_sulfmmr_mode" level="3" />
+        <field field_ref="BIN14_sulfmmr_mode" level="3" />
+        <field field_ref="BIN15_sulfmmr_mode" level="3" />
+        <field field_ref="BIN16_sulfmmr_mode" level="3" />
+        <field field_ref="BIN17_sulfmmr_mode" level="3" />
+        <field field_ref="BIN18_sulfmmr_mode" level="3" />
+        <field field_ref="BIN19_sulfmmr_mode" level="3" />
+        <field field_ref="BIN20_sulfmmr_mode" level="3" />
+        <field field_ref="BIN21_sulfmmr_mode" level="3" />
+        <field field_ref="BIN22_sulfmmr_mode" level="3" />
+        <field field_ref="BIN23_sulfmmr_mode" level="3" />
+        <field field_ref="BIN24_sulfmmr_mode" level="3" />
+        <field field_ref="BIN25_sulfmmr_mode" level="3" />
+        <field field_ref="BIN26_sulfmmr_mode" level="3" />
+        <field field_ref="BIN27_sulfmmr_mode" level="3" />
+        <field field_ref="BIN28_sulfmmr_mode" level="3" />
+        <field field_ref="BIN29_sulfmmr_mode" level="3" />
+        <field field_ref="BIN30_sulfmmr_mode" level="3" />
+        <field field_ref="BIN31_sulfmmr_mode" level="3" />
+        <field field_ref="BIN32_sulfmmr_mode" level="3" />
+        <field field_ref="BIN33_sulfmmr_mode" level="3" />
+        <field field_ref="BIN34_sulfmmr_mode" level="3" />
+        <field field_ref="BIN35_sulfmmr_mode" level="3" />
+        <field field_ref="BIN36_sulfmmr_mode" level="3" />
       </field_group>
       
Index: /LMDZ6/trunk/DefLists/file_def_histstrataer_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histstrataer_lmdz.xml	(revision 4998)
+++ /LMDZ6/trunk/DefLists/file_def_histstrataer_lmdz.xml	(revision 4999)
@@ -41,4 +41,6 @@
 	  <field field_ref="budg_3D_backgr_so2" level="1" />
 	  <field field_ref="R2SO4" level="1" />
+	  <field field_ref="SAD_sulfate" level="1" />
+	  <field field_ref="sulfMMR" level="1" />
 	  <field field_ref="OCS_lifetime" level="1" />
 	  <field field_ref="SO2_lifetime" level="1" />
@@ -90,4 +92,78 @@
 	  <field field_ref="GASSO2"  level="1" />
 	  <field field_ref="GASH2SO4"  level="1" />
+	  
+          <field field_ref="BIN01_nd_mode" level="2" />
+          <field field_ref="BIN02_nd_mode" level="2" />
+          <field field_ref="BIN03_nd_mode" level="2" />
+          <field field_ref="BIN04_nd_mode" level="2" />
+          <field field_ref="BIN05_nd_mode" level="2" />
+          <field field_ref="BIN06_nd_mode" level="2" />
+          <field field_ref="BIN07_nd_mode" level="2" />
+          <field field_ref="BIN08_nd_mode" level="2" />
+          <field field_ref="BIN09_nd_mode" level="2" />
+          <field field_ref="BIN10_nd_mode" level="2" />
+          <field field_ref="BIN11_nd_mode" level="2" />
+          <field field_ref="BIN12_nd_mode" level="2" />
+          <field field_ref="BIN13_nd_mode" level="2" />
+          <field field_ref="BIN14_nd_mode" level="2" />
+          <field field_ref="BIN15_nd_mode" level="2" />
+          <field field_ref="BIN16_nd_mode" level="2" />
+          <field field_ref="BIN17_nd_mode" level="2" />
+          <field field_ref="BIN18_nd_mode" level="2" />
+          <field field_ref="BIN19_nd_mode" level="2" />
+          <field field_ref="BIN20_nd_mode" level="2" />
+          <field field_ref="BIN21_nd_mode" level="2" />
+          <field field_ref="BIN22_nd_mode" level="2" />
+          <field field_ref="BIN23_nd_mode" level="2" />
+          <field field_ref="BIN24_nd_mode" level="2" />
+          <field field_ref="BIN25_nd_mode" level="2" />
+          <field field_ref="BIN26_nd_mode" level="2" />
+          <field field_ref="BIN27_nd_mode" level="2" />
+          <field field_ref="BIN28_nd_mode" level="2" />
+          <field field_ref="BIN29_nd_mode" level="2" />
+          <field field_ref="BIN30_nd_mode" level="2" />
+          <field field_ref="BIN31_nd_mode" level="2" />
+          <field field_ref="BIN32_nd_mode" level="2" />
+          <field field_ref="BIN33_nd_mode" level="2" />
+          <field field_ref="BIN34_nd_mode" level="2" />
+          <field field_ref="BIN35_nd_mode" level="2" />
+          <field field_ref="BIN36_nd_mode" level="2" />
+	  
+          <field field_ref="BIN01_sulfmmr_mode" level="2" />
+          <field field_ref="BIN02_sulfmmr_mode" level="2" />
+          <field field_ref="BIN03_sulfmmr_mode" level="2" />
+          <field field_ref="BIN04_sulfmmr_mode" level="2" />
+          <field field_ref="BIN05_sulfmmr_mode" level="2" />
+          <field field_ref="BIN06_sulfmmr_mode" level="2" />
+          <field field_ref="BIN07_sulfmmr_mode" level="2" />
+          <field field_ref="BIN08_sulfmmr_mode" level="2" />
+          <field field_ref="BIN09_sulfmmr_mode" level="2" />
+          <field field_ref="BIN10_sulfmmr_mode" level="2" />
+          <field field_ref="BIN11_sulfmmr_mode" level="2" />
+          <field field_ref="BIN12_sulfmmr_mode" level="2" />
+          <field field_ref="BIN13_sulfmmr_mode" level="2" />
+          <field field_ref="BIN14_sulfmmr_mode" level="2" />
+          <field field_ref="BIN15_sulfmmr_mode" level="2" />
+          <field field_ref="BIN16_sulfmmr_mode" level="2" />
+          <field field_ref="BIN17_sulfmmr_mode" level="2" />
+          <field field_ref="BIN18_sulfmmr_mode" level="2" />
+          <field field_ref="BIN19_sulfmmr_mode" level="2" />
+          <field field_ref="BIN20_sulfmmr_mode" level="2" />
+          <field field_ref="BIN21_sulfmmr_mode" level="2" />
+          <field field_ref="BIN22_sulfmmr_mode" level="2" />
+          <field field_ref="BIN23_sulfmmr_mode" level="2" />
+          <field field_ref="BIN24_sulfmmr_mode" level="2" />
+          <field field_ref="BIN25_sulfmmr_mode" level="2" />
+          <field field_ref="BIN26_sulfmmr_mode" level="2" />
+          <field field_ref="BIN27_sulfmmr_mode" level="2" />
+          <field field_ref="BIN28_sulfmmr_mode" level="2" />
+          <field field_ref="BIN29_sulfmmr_mode" level="2" />
+          <field field_ref="BIN30_sulfmmr_mode" level="2" />
+          <field field_ref="BIN31_sulfmmr_mode" level="2" />
+          <field field_ref="BIN32_sulfmmr_mode" level="2" />
+          <field field_ref="BIN33_sulfmmr_mode" level="2" />
+          <field field_ref="BIN34_sulfmmr_mode" level="2" />
+          <field field_ref="BIN35_sulfmmr_mode" level="2" />
+          <field field_ref="BIN36_sulfmmr_mode" level="2" />
 	</field_group>
 	